org.apache.turbine.pipeline
Class DetermineTargetValve

java.lang.Object
  extended byorg.apache.turbine.pipeline.AbstractValve
      extended byorg.apache.turbine.pipeline.DetermineTargetValve
All Implemented Interfaces:
Valve

public class DetermineTargetValve
extends AbstractValve

This valve is responsible for setting the 'target' property of the RunData. If it is not already set it attempts to get the target from the request parameter 'template'. If the parameter is not set, we use the homepage specified by the configuration property Turbine.TEMPLATE_HOMEPAGE. FIXME: The request parameter which determines the template should be configurable.

Author:
James Taylor, Peter Courcoux

Constructor Summary
DetermineTargetValve()
           
 
Method Summary
 void invoke(PipelineData pipelineData, ValveContext context)
          Perform request processing as required by this Valve.
 
Methods inherited from class org.apache.turbine.pipeline.AbstractValve
getRunData, initialize
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

DetermineTargetValve

public DetermineTargetValve()
Method Detail

invoke

public void invoke(PipelineData pipelineData,
                   ValveContext context)
            throws java.io.IOException,
                   TurbineException
Description copied from interface: Valve

Perform request processing as required by this Valve.

An individual Valve MAY perform the following actions, in the specified order:

A Valve MUST NOT do any of the following things:

Specified by:
invoke in interface Valve
Specified by:
invoke in class AbstractValve
Throws:
java.io.IOException
TurbineException
See Also:
org.apache.turbine.Valve#invoke(RunData, ValveContext)


Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.